> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Voice



## OpenAPI

````yaml latest.yml POST /voices/clone
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /voices/clone:
    post:
      tags:
        - Voices
      summary: Clone Voice
      operationId: voices_clone
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                clip:
                  type: string
                  format: binary
                  description: >-
                    See [Clone
                    Voices](/build-with-cartesia/capability-guides/clone-voices)
                    for guidance on choosing a clip.


                    Maximum upload size: `16 MB`.


                    Supported audio formats: `flac`, `mp3`, `mpeg`, `mpga`,
                    `oga`, `ogg`, `wav`, `webm`
                name:
                  type: string
                  description: The name of the voice.
                tagline:
                  type: string
                  description: A few words describing the voice. At most 32 characters.
                  default: ''
                  minimum: 0
                  maximum: 32
                description:
                  description: >-
                    A description for the voice, typically longer than the
                    tagline if both are provided.
                  type: string
                  nullable: true
                language:
                  $ref: '#/components/schemas/SupportedLanguage'
                  description: The language of the voice.
                accent:
                  allOf:
                    - $ref: '#/components/schemas/VoiceAccent'
                  nullable: true
                  description: >-
                    Metadata for labeling the accent of the voice you're
                    cloning, and a prerequisite for [Add Voice
                    Accents](/api-reference/voices/add-accents). See [GET
                    /accents](/api-reference/accents/list) for values valid for
                    each language.
                base_voice_id:
                  $ref: '#/components/schemas/VoiceId'
                  description: >-
                    Optional base voice ID that the cloned voice is derived
                    from.
                  nullable: true
                access:
                  type: string
                  enum:
                    - private
                    - public
                  default: private
                  description: >-
                    Who can use the cloned voice. Prefer `"public"` |
                    `"private"`. Deprecated form field `access[type]` is still
                    accepted.
              required:
                - clip
                - name
                - language
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceMetadata'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-08-14'
        default: '2026-08-14'
        enum:
          - '2026-08-14'
  schemas:
    SupportedLanguage:
      title: SupportedLanguage
      type: string
      enum:
        - en
        - fr
        - de
        - es
        - pt
        - zh
        - ja
        - hi
        - it
        - ko
        - nl
        - pl
        - ru
        - sv
        - tr
        - tl
        - bg
        - ro
        - ar
        - cs
        - el
        - fi
        - hr
        - ms
        - sk
        - da
        - ta
        - uk
        - hu
        - 'no'
        - vi
        - bn
        - th
        - he
        - ka
        - id
        - te
        - gu
        - kn
        - ml
        - mr
        - pa
        - or
        - ur
      description: >-
        The language that the given voice should speak the transcript in. This
        may depend on the model you're using. See
        [Models](/build-with-cartesia/tts-models/latest) for details.
    VoiceAccent:
      title: VoiceAccent
      description: >-
        Accent id from [GET /accents](/api-reference/accents/list) (for example
        `southern-us` or `parisian`). Must be valid for the voice's `language`.
      oneOf:
        - title: Arabic
          description: Only available when language is Arabic (`ar`).
          type: string
          enum:
            - khaleeji
            - middle-eastern-arabic
            - modern-standard-arabic
        - title: Bengali
          description: Only available when language is Bengali (`bn`).
          type: string
          enum:
            - jessore
        - title: Bulgarian
          description: Only available when language is Bulgarian (`bg`).
          type: string
          enum:
            - bulgarian
        - title: Chinese
          description: Only available when language is Chinese (`zh`).
          type: string
          enum:
            - mandarin
            - taiwanese-mandarin
        - title: Croatian
          description: Only available when language is Croatian (`hr`).
          type: string
          enum:
            - zagreb
        - title: Czech
          description: Only available when language is Czech (`cs`).
          type: string
          enum:
            - czech
        - title: Danish
          description: Only available when language is Danish (`da`).
          type: string
          enum:
            - danish
        - title: Dutch
          description: Only available when language is Dutch (`nl`).
          type: string
          enum:
            - randstad
        - title: English
          description: Only available when language is English (`en`).
          type: string
          enum:
            - african-american
            - arabic-english
            - australian
            - british
            - california
            - canadian-english
            - general-american
            - indian-english
            - irish
            - midwestern-american
            - new-york
            - new-zealand
            - philippine-english
            - singaporean
            - south-african
            - southern-us
        - title: Finnish
          description: Only available when language is Finnish (`fi`).
          type: string
          enum:
            - finnish
        - title: French
          description: Only available when language is French (`fr`).
          type: string
          enum:
            - african-french
            - belgian-french
            - canadian-french
            - parisian
        - title: Georgian
          description: Only available when language is Georgian (`ka`).
          type: string
          enum:
            - tbilisi
        - title: German
          description: Only available when language is German (`de`).
          type: string
          enum:
            - standard-german
            - swiss-standard
        - title: Greek
          description: Only available when language is Greek (`el`).
          type: string
          enum:
            - thessaloniki
        - title: Gujarati
          description: Only available when language is Gujarati (`gu`).
          type: string
          enum:
            - parsi
        - title: Hebrew
          description: Only available when language is Hebrew (`he`).
          type: string
          enum:
            - israeli
        - title: Hindi
          description: Only available when language is Hindi (`hi`).
          type: string
          enum:
            - bagheli
            - standard-hindi
        - title: Hungarian
          description: Only available when language is Hungarian (`hu`).
          type: string
          enum:
            - budapest
        - title: Indonesian
          description: Only available when language is Indonesian (`id`).
          type: string
          enum:
            - standard-indonesian
        - title: Italian
          description: Only available when language is Italian (`it`).
          type: string
          enum:
            - abruzzo-italian
            - campania
            - standard-italian
        - title: Japanese
          description: Only available when language is Japanese (`ja`).
          type: string
          enum:
            - standard-japanese
        - title: Kannada
          description: Only available when language is Kannada (`kn`).
          type: string
          enum:
            - southern-karnataka
        - title: Korean
          description: Only available when language is Korean (`ko`).
          type: string
          enum:
            - korean
        - title: Malay
          description: Only available when language is Malay (`ms`).
          type: string
          enum:
            - malay
        - title: Malayalam
          description: Only available when language is Malayalam (`ml`).
          type: string
          enum:
            - north-kerala
        - title: Marathi
          description: Only available when language is Marathi (`mr`).
          type: string
          enum:
            - konkani
        - title: Norwegian
          description: Only available when language is Norwegian (`no`).
          type: string
          enum:
            - oslo
        - title: Odia
          description: Only available when language is Odia (`or`).
          type: string
          enum:
            - odia
        - title: Polish
          description: Only available when language is Polish (`pl`).
          type: string
          enum:
            - polish
        - title: Portuguese
          description: Only available when language is Portuguese (`pt`).
          type: string
          enum:
            - brazilian-portuguese
            - european-portuguese
        - title: Punjabi
          description: Only available when language is Punjabi (`pa`).
          type: string
          enum:
            - powadhi
        - title: Romanian
          description: Only available when language is Romanian (`ro`).
          type: string
          enum:
            - moldovan
            - romanian
        - title: Russian
          description: Only available when language is Russian (`ru`).
          type: string
          enum:
            - russian
        - title: Slovak
          description: Only available when language is Slovak (`sk`).
          type: string
          enum:
            - slovak
        - title: Spanish
          description: Only available when language is Spanish (`es`).
          type: string
          enum:
            - camba
            - castilian
            - chilean
            - colombian
            - mexican
            - peruvian
        - title: Swedish
          description: Only available when language is Swedish (`sv`).
          type: string
          enum:
            - stockholm
        - title: Tagalog
          description: Only available when language is Tagalog (`tl`).
          type: string
          enum:
            - manila
        - title: Tamil
          description: Only available when language is Tamil (`ta`).
          type: string
          enum:
            - central-tamil
        - title: Telugu
          description: Only available when language is Telugu (`te`).
          type: string
          enum:
            - telangana
        - title: Thai
          description: Only available when language is Thai (`th`).
          type: string
          enum:
            - central-thai
        - title: Turkish
          description: Only available when language is Turkish (`tr`).
          type: string
          enum:
            - istanbul
        - title: Ukrainian
          description: Only available when language is Ukrainian (`uk`).
          type: string
          enum:
            - kyiv
        - title: Urdu
          description: Only available when language is Urdu (`ur`).
          type: string
          enum:
            - indian-urdu
            - urdu
        - title: Vietnamese
          description: Only available when language is Vietnamese (`vi`).
          type: string
          enum:
            - central-vietnamese
            - southern-vietnamese
    VoiceId:
      title: VoiceId
      type: string
      description: >-
        The ID of the voice. Find one in the [Voice
        Library](https://play.cartesia.ai/voices) or via [List
        Voices](/api-reference/voices/list).
    VoiceMetadata:
      title: VoiceMetadata
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/VoiceId'
          description: The ID of the newly created voice.
        access:
          type: string
          enum:
            - private
            - public
          description: >-
            Who can use the resource. `private` means only the owner can use the
            resource. `public` means everyone can use the resource.
        name:
          type: string
          description: The name of the voice.
        tagline:
          type: string
          description: A few words describing the voice.
        description:
          type: string
          description: >-
            A description for the voice, typically longer than the tagline if
            both are provided.
        created_at:
          type: string
          format: date-time
          description: The date and time the voice was created.
        language:
          $ref: '#/components/schemas/VoiceLanguage'
        user_id:
          type: string
          description: The ID of the user who owns the voice.
          deprecated: true
        visibility:
          type: string
          enum:
            - owner
            - all
          description: >-
            When the resource is returned by the list endpoint. `owner` means
            the resource appears for the owner only. `all` means the resource
            appears for all users.
      required:
        - id
        - access
        - visibility
        - name
        - tagline
        - description
        - created_at
        - language
        - user_id
      example:
        id: f161df88-b5a0-4ea8-aa21-6be12859f761
        access: private
        name: My localized voice
        tagline: ''
        description: A voice that I localized
        created_at: '2026-01-01T00:00:00.000Z'
        language: en
        user_id: org_123
        visibility: owner
    VoiceLanguage:
      type: string
      description: The voice's language, as an ISO 639-1 code (e.g. `en`, `fr`, `zh`)
      example: en
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).
      x-default: $CARTESIA_API_KEY

````